<div class="btn-group multiselect" style="width: 100%">
  <button type="button" class="form-control dropdown-toggle btn-multi" ng-click="toggleDropdown()" ng-disabled="disabled">
    {{getButtonText()}}&nbsp;
    <span class="arrow"><b></b></span>
  </button>
  <ul class="dropdown-menu dropdown-menu-form"
      ng-style="{display: open ? 'block' : 'none'}" style="width: 100%; overflow-x: auto">

    <li ng-show="showSelectAll">
      <a ng-click="selectAll()" href="">
        <span class="glyphicon glyphicon-ok"></span> Alles auswählen
      </a>
    </li>
    <li ng-show="showUnselectAll">
      <a ng-click="unselectAll()" href="">
        <span class="glyphicon glyphicon-remove"></span> Nichts auswählen
      </a>
    </li>
    <li ng-show="(showSelectAll || showUnselectAll)"
        class="divider">
    </li>

    <li role="presentation" ng-repeat="option in selectedOptions" class="active">
      <a class="item-selected" href="" ng-click="toggleItem(option); $event.stopPropagation()">
        <span class="glyphicon glyphicon-remove"></span>
        {{getDisplay(option)}}
      </a>
    </li>
    <li ng-show="selectedOptions.length > 0" class="divider"></li>

    <li ng-show="showSearch">
      <div class="dropdown-header">
        <input type="text" class="form-control input-sm" style="width: 100%;"
               ng-model="searchFilter" placeholder="Suche..." ng-change="updateOptions()"/>
      </div>
    </li>

    <li ng-show="showSearch" class="divider"></li>
    <li role="presentation" ng-repeat="option in unselectedOptions | filter:search() | limitTo: searchLimit"
        ng-if="!isSelected(option)"
        ng-class="{disabled : selectionLimit && selectedOptions.length >= selectionLimit}">
      <a class="item-unselected" href="" ng-click="toggleItem(option); $event.stopPropagation()">
        {{getDisplay(option)}}
      </a>
    </li>

    <li class="divider" ng-show="selectionLimit > 1"></li>
    <li role="presentation" ng-show="selectionLimit > 1">
      <a>{{selectedOptions.length || 0}} / {{selectionLimit}} ausgewählt</a>
    </li>

  </ul>
</div>
